Subject: Re: (radius) Re: UTF-8 encoded 10646 or some other encoding?

From: Carl Rigney <[email-masked]>
Date: Wed, 23 Feb 2000 18:12:48 -0800 (PST)

OK.  That seems very reasonable.  So my plan is to use text for UTF-8 encoded
10646 and string for any set of octets 0-255, with text as a subset of string,
and remove all the talk about printable and displayable?

Its a fair bit of work to go through and change things to either text
or string but straightforward; I can do these tonight and have an
updated draft submitted in a few hours.  I'll start that now.  I assume
they'll want the same change in accounting and extensions, but I'll do
RADIUS first.

>> what i am trying to understand is how much of this is relevant and
>> legitimate at this date and stage in the cycle of radius document
>> review.
>
>I am happy with his explanation, and only want the document to use the same
>term all over the place when he talks about the two things he is using:
>
> - string, which can be any set of octets 0-255
> - text, which seems to be UTF-8 encoded 10646
>
>I.e. just get rid of all talk about 'printable UTF-8' etc. Just say either
>"string" all over the place, or something else, like "text" which is a
>subset of "string".

-
To unsubscribe, email [email-masked]' with
'unsubscribe ietf-radius' in the body of the message.

---

From: Randy Bush <[email-masked]>
Date: Wed, 23 Feb 2000 18:14:52 -0800

> OK.  That seems very reasonable.  So my plan is to use text for UTF-8
> encoded 10646 and string for any set of octets 0-255, with text as a
> subset of string, and remove all the talk about printable and displayable?
>

if there are no further issues by other iesg reviewers, no promises, that
should put the lot to bed.

randy
-